Portable OpenSSH 7.5p1 with LibreSSL 2.6.1 fails

classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

Portable OpenSSH 7.5p1 with LibreSSL 2.6.1 fails

Miles
Hello,

./config for Portable OpenSSH 7.5p1 with LibreSSL 2.6.1 fails on Debian
Linux:
        checking OpenSSL header version... not found
        configure: error: OpenSSL version header not found.

$ openssl version
LibreSSL 2.6.1

I did it with this options:

./configure --without-openssl-header-check --sysconfdir=/etc/ssh \
--with-ssl-dir=/usr/local --without-pie --without-xauth \
--with-zlib

How can I fix this?

Thank you in advance.

/Heiko

Reply | Threaded
Open this post in threaded view
|

Re: Portable OpenSSH 7.5p1 with LibreSSL 2.6.1 fails

Darren Tucker
On 7 September 2017 at 16:35, Heiko <[hidden email]> wrote:
> Hello,
>
> ./config for Portable OpenSSH 7.5p1 with LibreSSL 2.6.1 fails on Debian
> Linux:

As per https://www.openssh.com/report.html this query would be better
directed to the portable list [hidden email].  Please
send any followups there.

>         checking OpenSSL header version... not found
>         configure: error: OpenSSL version header not found.

This means the little test program in configure either failed to build
and run or did not produce the expected output.  The exact reason will
be in config.log (although you may have to scroll back a way to find
it).  A common cause of this is not having added the new lib directory
to the runtime linker config via ldconfig(8).

--
Darren Tucker (dtucker at zip.com.au)
GPG key 11EAA6FA / A86E 3E07 5B19 5880 E860  37F4 9357 ECEF 11EA A6FA (new)
    Good judgement comes with experience. Unfortunately, the experience
usually comes from bad judgement.